Viewing Issue Advanced Details
ID Category [?] Severity [?] Reproducibility Date Submitted Last Update
01617 Graphics Minor Always Mar 24, 2008, 21:10 May 18, 2016, 01:12
Tester M.A.S.H. View Status Public Platform MAME (Official Binary)
Assigned To galibert Resolution Fixed OS
Status [?] Resolved Driver segag80v.cpp
Version 0.124 Fixed in Version 0.174 Build Normal
Summary 01617: elim2, zektor: Missing left graphics line from the boarder.
Description Missing left graphics line from the boarder. Screen size problem?
Steps To Reproduce
Additional Information In 0.106u1 and 0.106u2, elim2 crashes out of MAME with a message:
"Invalid blit->srcdepth". MAME 0.106u3 is the first version in which the left border is not present.
Flags
Regression Version 0.106u1
Affected Sets / Systems elim2, zektor
Attached Files
png file icon elim2.png (13,617 bytes) Mar 24, 2008, 21:10
gif file icon bwidow.gif (158,648 bytes) Feb 21, 2012, 16:27 Uploaded by M.A.S.H.
M.A.S.H.
gif file icon tempest.gif (29,601 bytes) Feb 21, 2012, 16:27 Uploaded by M.A.S.H.
M.A.S.H.
gif file icon tempest-overlayed.gif (135,111 bytes) Feb 21, 2012, 16:27 Uploaded by M.A.S.H.
M.A.S.H.
? file icon segag80v.diff (1,729 bytes) Feb 21, 2012, 16:28 Uploaded by M.A.S.H.
[Show Content]
Relationships
There are no relationsihp linked to this issue.
Notes
4
User avatar
No.00392
Tafoid
Administrator
Mar 24, 2008, 21:21
edited on: Jun 3, 2009, 02:53
Confirmed regression between 0.106 and 0.107 (don't have U's to test). Looks like a bug here. Finally build older binaries for 0.106 and tested - Regression is 0.106u3.

User avatar
No.08240
M.A.S.H.
Senior Tester
Feb 21, 2012, 16:26
edited on: Feb 21, 2012, 16:30
MAME changed the video rendering system from 0.106u1 to 0.106u3 to a new one. And since this releases
the visible area in *all* vector games has been changed. The vector graphic bumped a little up so that
some gfx's in games like Eliminator and Zektor are out of the border. Check also the animated GIF's
and the Tempest overlayed/zoomed-in picture.

Believe me, the visible area in Sega G80 vector was wrong before 0.106u1 !!!

I have now corrected the visible area in the Sega G80 vector games for each game (see DIFF file). I started
every game in window mode, take screenshot with IrfanView and use a graphic program to check the border.
I used screenshots with scrolling/rotating text or objects flying in or out of the screen. The vector
graphics ranged now 1 Pixel from the border, which looks better in windows mode.
Send all to submit@mamedev.org

User avatar
No.08281
Tafoid
Administrator
Feb 27, 2012, 16:41
I looked at this patch to submit it for you this morning and it doesn't look right at all. Yeah, everything for the said games (and other games in the driver) are all on screen, but it looks like it's set up in a 16:10 style, not standard 4:3, complete with "black bars" at the top and bottom of the screen. In viewing pre-0.106 and the first viewable post-0.106 binary for these games as well as current (before your patch) and I do not see the same ratios being used at all and the whole screen is used, not some arbitrary view area. Therefore, the patch is rejected as submitted.
User avatar
No.12672
M.A.S.H.
Senior Tester
May 18, 2016, 01:12
Fixed by O. Galibert
http://git.redump.net/mame/commit/?id=19ed9384a61f5a559b9d55e9a1667e9549bf660c